Opened 6 years ago

Closed 6 years ago

Last modified 6 years ago

#9408 closed defect (implemented)

Don't start tor right away when launching TBB the first time

Reported by: gmorehouse Owned by: erinn
Priority: Medium Milestone:
Component: Applications/Tor bundles/installation Version:
Severity: Keywords:
Cc: Actual Points:
Parent ID: Points:
Reviewer: Sponsor:

Description

Right now (OS X), after downloading the Tor Browser Bundle, it tries to start up Tor immediately upon first run.

There should be a dialog querying users whether they want to alter settings *first*, as a bare start of Tor (rather than allowing them to e.g. click 'my ISP blocks connections to the Tor network' and add obfsproxy bridges) could immediately unmask the user on networks where censors attempt to detect and/or identify Tor users.

Child Tickets

Change History (4)

comment:1 Changed 6 years ago by arma

You're in luck!

Try Mike's TBB 3.0alpha2 and see if it does what you want.

comment:2 Changed 6 years ago by gmorehouse

It does - when is 3.x thought to be releasable as stable? I like it a lot, though it keeps telling me to 'upgrade' because it doesn't understand its own version number, I think.

comment:3 Changed 6 years ago by arma

Resolution: implemented
Status: newclosed

Going to close this ticket as done then.

(Btw, it probably wants you to upgrade because 3.0a2 is obsolete and 3.0a4 is what you should be using now.)

comment:4 Changed 6 years ago by gmorehouse

It seemed to start flashing the upgrade blinker immediately before, but I haven't carefully observed it, so if and when I do and it's a problem, I'll open a ticket. Thanks! :)

Note: See TracTickets for help on using tickets.